# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "somatize-runtime"
version = "0.2.9"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Execution engine for the Soma computational graph runtime"
readme = "README.md"
license = "Elastic-2.0"
repository = "https://github.com/manucouto1/soma"
resolver = "2"

[lib]
name = "somatize_runtime"
path = "src/lib.rs"

[[test]]
name = "coverage_boost"
path = "tests/coverage_boost.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[[test]]
name = "pbt_integration"
path = "tests/pbt_integration.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.somatize-compiler]
version = "0.2.9"

[dependencies.somatize-core]
version = "0.2.9"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dev-dependencies.proptest]
version = "1"

[dev-dependencies.tempfile]
version = "3"
